Subject: [Teas] Comments Regarding the Proposed Merge of draft-barguil-teas-network-slices-instantation
From: "Samier Barguil Giraldo (Nokia)" <[email-masked]>
To: TEAS WG <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Tue, 17 Sep 2024 14:13:46 +0000
List-Id: Traffic Engineering Architecture and Signaling working group discussion list <teas.ietf.org>

Dear TEAS WG,

I hope this message finds you well. I am writing to share my comments regarding the recent proposal to merge our draft, draft-barguil-teas-network-slices-instantation, with draft-ietf-teas-ns-controller-models. While I appreciate the intent behind the proposal, I would like to highlight several reasons why merging these two drafts may not be helping achieve intended objectives, and to emphasize the unique value our draft provides.

Why Merging Is Not Beneficial

  1.  Different Scope and Focus: Our draft, draft-barguil-teas-network-slices-instantation, has been under development since 2021 and provides detailed guidance on the implementation of a Network Slices in service provider networks. The core focus of our draft is to analyze the practical impact of network slice instantiation on the realization of services and the mapping of slice constraints to service and network models. It goes parameter by parameter, examining how these parameters influence slice implementation and providing options for translating the intended slice requests into operational services. In contrast, draft-ietf-teas-ns-controller-models is a newer draft that describes a high-level functional division of the NSC and references data models for supporting network slice services. While it is a promising document, it is more abstract and primarily aimed at outlining the potential architecture of the NSC rather than the detailed implementation and realization aspects that our draft covers.
  2.  Depth of Analysis in Model Usage: One of the strengths of our draft is the detailed examination of how service and network models are used to ensure that slice constraints are met. We explore multiple mapping options for various parameters, providing granular insights that are crucial for the practical implementation of network slices. This level of depth would be difficult to preserve in a merged document without compromising the unique contributions and utility of each draft.

The Value Provided by draft-barguil-teas-network-slices-instantiation

  *   Practical Implementation Guidance: Our draft offers concrete guidance on how service providers can implement NSCs, focusing on how the intended slice requests are translated into service and network models. This is particularly valuable for operators who need actionable insights into how to deploy slices in their networks, considering real-world constraints and challenges.
  *   Detailed Parameter-by-Parameter Mapping: We delve into the specific parameters of network slice requests and provide analysis on how these can be mapped to the underlying network infrastructure. This granular level of analysis is essential for ensuring that the network slice constraints are met in practice.
  *   Impact on Service Realization: By closely examining how different models interact during network slice instantiation, our draft helps operators understand the potential impact on service realization, which is a critical aspect of network slicing.

In summary, while both drafts contribute to the broader discussion of network slice controllers, they serve different purposes and target different layers of abstraction. Merging them could dilute the unique value that each draft provides.
We believe that keeping the drafts separate will allow each to evolve in a way that best serves the needs of the working group and the broader community.

I appreciate your time and consideration of these points, and I look forward to further discussions on how we can continue to refine and improve our contributions to the TEAS WG.

Best regards,

Samier Barguil